# ob-pikchr

Generate [pikchr](https://pikchr.org/home/doc/trunk/homepage.md) diagrams within Emacs org-mode babel

## Setup

1. Install package by cloning this repository and adding the file directory to `load-path`
2. Install pikchr
3. Specify `org-pikchr-path`:

```emacs-lisp
(setq org-pikchr-path "/your-installing-path/pikchr")
```

4. Open `org-mode` buffer and create an `org-babel` source block:

```emacs-lisp
#+begin_src pikchr :results output :file /tmp/test.svg
 arrow right 200% "Markdown" "Source"
 box rad 10px "Markdown" "Formatter" "(markdown.c)" fit
 arrow right 200% "HTML+SVG" "Output"
 arrow <-> down 70% from last box.s
 box same "Pikchr" "Formatter" "(pikchr.c)" fit
#+end_src
```

5. Exporting the `org-mode` document or invoking the `org-babel-execute-src-block` function to generate a diagram

## TODO

- [ ] contribute to MELPA https://github.com/melpa/melpa/blob/master/CONTRIBUTING.org
